Page MenuHomePhabricator

Don't show "Mark all as read" for Alerts
Closed, ResolvedPublic

Description

The Alerts dropdown shouldn't have "Mark all as read" -- it just flashes and disappears.

Event Timeline

DannyH created this task.Sep 24 2015, 5:18 PM
DannyH raised the priority of this task from to Normal.
DannyH updated the task description. (Show Details)
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2015, 5:18 PM
Mooeypoo claimed this task.Sep 24 2015, 5:55 PM
Mooeypoo set Security to None.

Change 241779 had a related patch set uploaded (by Mooeypoo):
Mark all read button should always start invisible

https://gerrit.wikimedia.org/r/241779

Change 241779 merged by jenkins-bot:
Mark all read button should always start invisible

https://gerrit.wikimedia.org/r/241779

'Mark all as read' is fixed - checked in Safari, Chrome, FF, and IE.

Another issue: small cross icon(x) flashes momentarily when Alerts are clicked.

Change 242636 had a related patch set uploaded (by Mooeypoo):
Initialize 'mark as read' button hidden unless needed

https://gerrit.wikimedia.org/r/242636

Change 242636 merged by jenkins-bot:
Initialize 'mark as read' button hidden unless needed

https://gerrit.wikimedia.org/r/242636

Checked in betalabs for close buttons (x) in Alerts - the issue is fixed.

DannyH removed a subscriber: DannyH.Oct 5 2015, 10:43 PM
Catrope closed this task as Resolved.Oct 9 2015, 7:39 PM
Catrope added a subscriber: Catrope.